## org.hibernate.mapping
Interface PersistentClassVisitor

    public interface PersistentClassVisitor

Author:
  max

Method Summary
`Object` `accept(JoinedSubclass subclass)`
`Object` `accept(RootClass class1)`
`Object` `accept(SingleTableSubclass subclass)`
`Object` `accept(Subclass subclass)`
`Object` `accept(UnionSubclass subclass)`

Method Detail

### accept

    Object accept(RootClass class1)

  Parameters:
    `class1` -
  Returns:

### accept

    Object accept(UnionSubclass subclass)

  Parameters:
    `subclass` -
  Returns:

### accept

    Object accept(SingleTableSubclass subclass)

  Parameters:
    `subclass` -
  Returns:

### accept

    Object accept(JoinedSubclass subclass)

  Parameters:
    `subclass` -
  Returns:

### accept

    Object accept(Subclass subclass)

  Parameters:
    `subclass` -
  Returns:

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.